.text
.global &mFNAME
&mFNAME:
	stmg	%r2,%r15,16(%r15)
	lgr	%r1,%r15
	aghi	%r15,-160
	stg	%r1,0(%r15)
	larl	%r12,_GLOBAL_OFFSET_TABLE_
	larl	%r5,D.&mFNAME@GOT
	lg	%r5,0(%r5)
	lg	%r1,0(%r5)
	ogr	%r1,%r1
	jnz	3f
	la	%r2,L.&mFNAME-D.&mFNAME(%r5)
	la	%r3,S.&mFNAME-D.&mFNAME(%r5)
	larl	%r4,&mFNAME
	lhi	%r6,&mFflag
	brasl	%r14,_mFdynload@PLT
	lgr	%r1,%r2
3:
	lmg	%r2,%r15,176(%r15)
	br	%r1
.data
D.&mFNAME:
	.quad	0
S.&mFNAME:
	.string	"&mFNAME"
L.&mFNAME:
	.string	"&mFNAM2"
